// Anwendungsstart.cpp: Hauptprojektdatei.

#include "stdafx.h"
#include "Form1.h"
#include "Form2.h"

using namespace Anwendungsstart;

ref class DualApplicationContext : ApplicationContext
{
private:
   int formCount;
   Form1^ form1;
   Form2^ form2;

public:
   DualApplicationContext()
   {
      formCount = 0;

      form1 = gcnew Form1();
      form1->Closed += gcnew EventHandler(this, &DualApplicationContext::OnFormClosed);
      formCount++;

      form2 = gcnew Form2();
      form2->Closed += gcnew EventHandler(this, &DualApplicationContext::OnFormClosed);
      formCount++;

      // Formulare anzeigen
      form1->Show();
      form2->Show();
   }

private:
   void OnFormClosed(Object ^sender, EventArgs ^e)
   {
      formCount--;
      if (formCount == 0)
      {
          ExitThread();   // Anwendung beenden
      }
   }
};



[STAThreadAttribute]
int main(array<System::String ^> ^args)
{
	// Aktivieren visueller Effekte von Windows XP, bevor Steuerelemente erstellt werden
	Application::EnableVisualStyles();
	Application::SetCompatibleTextRenderingDefault(false); 

    MessageBox::Show("Es freut uns, dass Sie sich für unser Produkt entschieden haben", 
                    "Die Software-GmbH");

   
	// Hauptfenster erstellen und ausführen
	DualApplicationContext^ context = gcnew DualApplicationContext();
    Application::Run(context);

	return 0;
}
